unit dservice;


interface
  uses graphics;

  const
  xlInsideHorizontal=12;
  xlInsideVertical=11;
  xlDiagonalDown=5;
  xlDiagonalUp=6;
  xlEdgeBottom=9;
  xlEdgeLeft=7;
  xlEdgeRight=10;
  xlEdgeTop=8;
//................
  xlContinuous=1;
  xlDash=-4115;
  xlDashDot=4;
  xlDashDotDot=5;
  xlDot=-4118;
  xlDouble=-4119;
  xlSlantDashDot=13;
  xlLineStyleNone=-4142;	
    

Procedure  create_doc(file1,file2:string;paramstr:pchar;kod:word);
//         
//        -.
//    file1 - ,    -.
// - -  DOC  RTF ,   
//  ( ),    
// -      .
//    file2 -   .
//    paramstr - ,      .
// ,   paramstr   '#1| |#2| ',
//   
//     create_doc('c:\hablon.rtf','c:\.rtf','#1| |#2| ',1);
//      "#1"  "#2"   " "  " ".
//    kod -    (0,1,2,3)

Procedure  ShowDoc(filedoc:string;kod_:word);
//      .
//    filedoc -   .
//    kod -    (0,1,2,3)

Procedure  PrintDoc(filedoc:string;kod_:word);
//      .
//    filedoc -   .
//    kod -    (0,1,2,3)


//==        ====
Function   OpenDoc(file_:string):integer;
//       (DOC  RTF) 
//   ,  
//        .

Function OpenDocShell(file_:string):integer;
//       .
//      WORD,   (DOC  RTF) 
//   ,  
//        .


Function   CreateDoc(file_:string):integer;
//       (DOC  RTF) 
//   ,  
//        .

Function   CreateDocShell(file_:string):integer;
//       (DOC  RTF) 
//   ,  
//        .


Procedure  SaveDoc(handle:integer);
//       (DOC  RTF).
//     .

Procedure  CloseDoc(handle:integer);
//       (DOC  RTF).
//     .

Procedure  StartOfDoc(handle:integer);
//        
// (DOC  RTF).

Function   FindFirstText(handle:integer;text_:string;kod_:boolean):boolean;
//        (DOC  RTF)  - text_
//   TRUE   .
//     kod_    TRUE,  
//  PutText    ,
//     PutText  
//     .

Function   FindNextText(handle:integer;kod_:boolean):boolean;
//          (DOC  RTF)
//   FindFirstText   TRUE   .
//     kod_    TRUE,  
//  PutText    ,
//     PutText  
//     .

Procedure  PutText(handle:integer;text_:string);
//       text_   (DOC  RTF)
//    .

Procedure  InsertText(handle:integer;metka_,text_:string);
//       text_   (DOC  RTF)
//   ,     - metka_.

Function   InsertTextEverywhere(handle:integer;metka_,text_:string):boolean;
//       text_   (DOC  RTF)
//   ,     - metka_.
//  TRUE    

Function   InsertTextOnce(handle:integer;metka_,text_:string):boolean;
//       text_   (DOC  RTF)
//  ,       - metka_.
//  TRUE    

//========    ================
Function   InsertDocTable(handle:integer;metka_:string;count:integer):boolean;
//          
//  count    .

Function   InsertDocLine(handle:integer;paramstr:pchar):boolean;
//         ,
//     .
// paramstr     - '1|1|2|2'

//........................................................
Function   DFormat(str_,format_:string):ShortString;

//........................................................
Function   InsertPictureOnce(handle:integer;metka_,file_:string):boolean;
//       "BMP"   

Function   PutPicture(handle:integer;file_:string):boolean;
//       "BMP"    

//---------------------------------------------------------------
Function   OpenWorkbook(file_:string):integer;
Function   SetWorksheet(book:integer;sheet:string):boolean;
Function   WorkBookSave(book:integer):boolean;
Function   WorkBookVisible(book:integer):boolean;
Function   WorkBookClose(book:integer):boolean;
Function   SetRange(book:integer;range:string;Value:variant):boolean;
Function   GetRange(book:integer;range:string):variant;
Function   SetFontRange(book:integer;range:string;font:tfont):boolean;
Function   SetBorderLineStyleRange(book:integer;range:string;LineStyle,color:integer):boolean;
Function   SetBorderTypeRange(book:integer;range:string;XlBorderType,Color:integer):boolean;




implementation
Procedure  create_doc(file1,file2:string;paramstr:pchar;kod:word);                   external 'dserver.dll' name 'create_doc';
Procedure  ShowDoc(filedoc:string;kod_:word);                                        external 'dserver.dll' name 'ShowDoc';
Procedure  PrintDoc(filedoc:string;kod_:word);                                       external 'dserver.dll' name 'PrintDoc';

Function   OpenDoc(file_:string):integer;                                            external 'dserver.dll' name 'OpenDoc';
Function   OpenDocShell(file_:string):integer;                                       external 'dserver.dll' name 'OpenDocShell';
Function   CreateDoc(file_:string):integer;                                          external 'dserver.dll' name 'CreateDoc';
Function   CreateDocShell(file_:string):integer;                                     external 'dserver.dll' name 'CreateDocShell';
Procedure  SaveDoc(handle:integer);                                                  external 'dserver.dll' name 'SaveDoc';
Procedure  CloseDoc(handle:integer);                                                 external 'dserver.dll' name 'CloseDoc';

Procedure  PutText(handle:integer;text_:string);                                     external 'dserver.dll' name 'PutText';
Procedure  InsertText(handle:integer;metka_,text_:string);                           external 'dserver.dll' name 'InsertText';
Function   InsertTextEverywhere(handle:integer;metka_,text_:string):boolean;         external 'dserver.dll' name 'InsertTextEverywhere';
Function   InsertTextOnce(handle:integer;metka_,text_:string):boolean;               external 'dserver.dll' name 'InsertTextOnce';

Function   InsertDocTable(handle:integer;metka_:string;count:integer):boolean;       external 'dserver.dll' name 'InsertDocTable';
Function   InsertDocLine(handle:integer;paramstr:pchar):boolean;                     external 'dserver.dll' name 'InsertDocLine';
Procedure  StartOfDoc(handle:integer);                                               external 'dserver.dll' name 'StartOfDoc';
Function   FindFirstText(handle:integer;text_:string;kod_:boolean):boolean;          external 'dserver.dll' name 'FindFirstText';
Function   FindNextText(handle:integer;kod_:boolean):boolean;                        external 'dserver.dll' name 'FindNextText';
//...............................................................
Function   DFormat(str_,format_:string):ShortString;                                 external 'dserver.dll' name 'DFormat';
//...............................................................
Function   InsertPictureOnce(handle:integer;metka_,file_:string):boolean;            external 'dserver.dll' name 'InsertPictureOnce';
Function   PutPicture(handle:integer;file_:string):boolean;                          external 'dserver.dll' name 'PutPicture';
//.....................................................................
Function   OpenWorkbook(file_:string):integer;                                       external 'dserver.dll' name 'OpenWorkbook';
Function   SetWorksheet(book:integer;sheet:string):boolean;                          external 'dserver.dll' name 'SetWorksheet';
Function   WorkBookSave(book:integer):boolean;                                       external 'dserver.dll' name 'WorkBookSave';
Function   WorkBookVisible(book:integer):boolean;                                    external 'dserver.dll' name 'WorkBookVisible';
Function   WorkBookClose(book:integer):boolean;                                      external 'dserver.dll' name 'WorkBookClose';
Function   SetRange(book:integer;range:string;Value:variant):boolean;                external 'dserver.dll' name 'SetRange';
Function   GetRange(book:integer;range:string):variant;                              external 'dserver.dll' name 'GetRange';
Function   SetFontRange(book:integer;range:string;font:tfont):boolean;               external 'dserver.dll' name 'SetFontRange';
Function   SetBorderLineStyleRange(book:integer;range:string;LineStyle,color:integer):boolean;
                                                                                     external 'dserver.dll' name 'SetBorderLineStyleRange';
Function   SetBorderTypeRange(book:integer;range:string;XlBorderType,Color:integer):boolean;
                                                                                     external 'dserver.dll' name 'SetBorderTypeRange';



end.
